io.vertx.ext.web.handler

## Interface AuthHandler

- All Superinterfaces:
    AuthenticationHandler, Handler<RoutingContext>

  Deprecated.
  New users should use `AuthenticationHandler`

      @Deprecated
      public interface AuthHandler
      extends AuthenticationHandler

  Base interface for auth handlers.

  An auth handler allows your application to provide authentication/authorization support.

  Auth handler requires a `SessionHandler` to be on the routing chain before it.

  Author:
    Tim Fox, Paulo Lopes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Deprecated. this functionality is now handled by the new `AuthorizationProvider`
    `AuthHandler` | `addAuthority(String authority)` Deprecated. this functionality is now handled by the new `AuthorizationProvider`
    `default Future<Void>` | `authorize(User user)` Deprecated. this functionality is now handled by the new `AuthorizationProvider`
    `void` | `authorize(User user, Handler<AsyncResult<Void>> handler)` Deprecated. this functionality is now handled by the new `AuthorizationProvider`

    - ### Methods inherited from interface io.vertx.ext.web.handler.AuthenticationHandler

      `authenticateHeader, parseCredentials, parseCredentials`

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### addAuthority

          @Deprecated
          AuthHandler addAuthority(String authority)

      Deprecated. this functionality is now handled by the new `AuthorizationProvider`
      Add a required authority for this auth handler
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          @Deprecated
          AuthHandler addAuthorities(Set<String> authorities)

      Deprecated. this functionality is now handled by the new `AuthorizationProvider`
      Add a set of required authorities for this auth handler
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### authorize

          @Deprecated
          void authorize(User user,
                                     Handler<AsyncResult<Void>> handler)

      Deprecated. this functionality is now handled by the new `AuthorizationProvider`
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
        `handler` - the handler for the result.

    - #### authorize

          @Deprecated
          default Future<Void> authorize(User user)

      Deprecated. this functionality is now handled by the new `AuthorizationProvider`
      Parameters:
        `user` - a user.
      Returns:
        future for the result.
      See Also:
        `authorize(User, Handler)`

Copyright © 2020 Eclipse. All rights reserved.